org.apache.olingo.commons.api.edm.provider

## Class CsdlAbstractEdmProvider

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmProvider

- All Implemented Interfaces:
    CsdlEdmProvider

      public abstract class CsdlAbstractEdmProvider
      extends Object
      implements CsdlEdmProvider

  Dummy implementation of `CsdlEdmProvider`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlAbstractEdmProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CsdlActionImport` | `getActionImport(FullQualifiedName entityContainer, String actionImportName)` This method should return an `CsdlActionImport` or null if nothing is found
    `List<CsdlAction>` | `getActions(FullQualifiedName actionName)` This method should return a list of all `CsdlAction` for the FullQualifiedname or null if nothing is found
    `List<CsdlAliasInfo>` | `getAliasInfos()` This method should return a list of all namespaces which have an alias
    `CsdlAnnotations` | `getAnnotationsGroup(FullQualifiedName targetName, String qualifier)` Gets annotations group.
    `CsdlComplexType` | `getComplexType(FullQualifiedName complexTypeName)` This method should return a `CsdlComplexType` or null if nothing is found.
    `CsdlEntityContainer` | `getEntityContainer()` Returns the entity container of this edm
    `CsdlEntityContainerInfo` | `getEntityContainerInfo(FullQualifiedName entityContainerName)` This method should return an `CsdlEntityContainerInfo` or null if nothing is found
    `CsdlEntitySet` | `getEntitySet(FullQualifiedName entityContainer, String entitySetName)` This method should return an `CsdlEntitySet` or null if nothing is found
    `CsdlEntityType` | `getEntityType(FullQualifiedName entityTypeName)` This method should return an `CsdlEntityType` or null if nothing is found
    `CsdlEnumType` | `getEnumType(FullQualifiedName enumTypeName)` This method should return an `CsdlEnumType` or null if nothing is found
    `CsdlFunctionImport` | `getFunctionImport(FullQualifiedName entityContainer, String functionImportName)` This method should return a `CsdlFunctionImport` or null if nothing is found
    `List<CsdlFunction>` | `getFunctions(FullQualifiedName functionName)` This method should return a list of all `CsdlFunction` for the FullQualifiedname or null if nothing is found
    `List<CsdlSchema>` | `getSchemas()` This method should return a collection of all `CsdlSchema`
    `CsdlSingleton` | `getSingleton(FullQualifiedName entityContainer, String singletonName)` This method should return an `CsdlSingleton` or null if nothing is found
    `CsdlTerm` | `getTerm(FullQualifiedName termName)` This method should return a `CsdlTerm` for the FullQualifiedName or null if nothing is found.
    `CsdlTypeDefinition` | `getTypeDefinition(FullQualifiedName typeDefinitionName)` This method should return an `CsdlTypeDefinition` or null if nothing is found

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlAbstractEdmProvider

          public CsdlAbstractEdmProvider()

  - ### Method Detail

    - #### getEnumType

          public CsdlEnumType getEnumType(FullQualifiedName enumTypeName)
                                   throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return an `CsdlEnumType` or null if nothing is found
      Specified by:
        `getEnumType` in interface `CsdlEdmProvider`
      Parameters:
        `enumTypeName` - full qualified name of enum type
      Returns:
        for given name
      Throws:
        `ODataException`

    - #### getTypeDefinition

          public CsdlTypeDefinition getTypeDefinition(FullQualifiedName typeDefinitionName)
                                               throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return an `CsdlTypeDefinition` or null if nothing is found
      Specified by:
        `getTypeDefinition` in interface `CsdlEdmProvider`
      Parameters:
        `typeDefinitionName` - full qualified name of type definition
      Returns:
        for given name
      Throws:
        `ODataException`

    - #### getEntityType

          public CsdlEntityType getEntityType(FullQualifiedName entityTypeName)
                                       throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return an `CsdlEntityType` or null if nothing is found
      Specified by:
        `getEntityType` in interface `CsdlEdmProvider`
      Parameters:
        `entityTypeName` - full qualified name of entity type
      Returns:
        for the given name
      Throws:
        `ODataException`

    - #### getComplexType

          public CsdlComplexType getComplexType(FullQualifiedName complexTypeName)
                                         throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return a `CsdlComplexType` or null if nothing is found.
      Specified by:
        `getComplexType` in interface `CsdlEdmProvider`
      Parameters:
        `complexTypeName` - full qualified name of complex type
      Returns:
        for the given name
      Throws:
        `ODataException`

    - #### getActions

          public List<CsdlAction> getActions(FullQualifiedName actionName)
                                      throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return a list of all `CsdlAction` for the FullQualifiedname or null if nothing is found
      Specified by:
        `getActions` in interface `CsdlEdmProvider`
      Parameters:
        `actionName` - full qualified name of action
      Returns:
        List of or null
      Throws:
        `ODataException`

    - #### getFunctions

          public List<CsdlFunction> getFunctions(FullQualifiedName functionName)
                                          throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return a list of all `CsdlFunction` for the FullQualifiedname or null if nothing is found
      Specified by:
        `getFunctions` in interface `CsdlEdmProvider`
      Parameters:
        `functionName` - full qualified name of function
      Returns:
        List of or null
      Throws:
        `ODataException`

    - #### getTerm

          public CsdlTerm getTerm(FullQualifiedName termName)
                           throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return a `CsdlTerm` for the FullQualifiedName or null if nothing is found.
      Specified by:
        `getTerm` in interface `CsdlEdmProvider`
      Parameters:
        `termName` - the name of the Term
      Returns:
        or null
      Throws:
        `ODataException`

    - #### getEntitySet

          public CsdlEntitySet getEntitySet(FullQualifiedName entityContainer,
                                            String entitySetName)
                                     throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return an `CsdlEntitySet` or null if nothing is found
      Specified by:
        `getEntitySet` in interface `CsdlEdmProvider`
      Parameters:
        `entityContainer` - this EntitySet is contained in
        `entitySetName` - name of entity set
      Returns:
        for the given container and entityset name
      Throws:
        `ODataException`

    - #### getSingleton

          public CsdlSingleton getSingleton(FullQualifiedName entityContainer,
                                            String singletonName)
                                     throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return an `CsdlSingleton` or null if nothing is found
      Specified by:
        `getSingleton` in interface `CsdlEdmProvider`
      Parameters:
        `entityContainer` - this Singleton is contained in
        `singletonName` - name of singleton
      Returns:
        for given container and singleton name
      Throws:
        `ODataException`

    - #### getActionImport

          public CsdlActionImport getActionImport(FullQualifiedName entityContainer,
                                                  String actionImportName)
                                           throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return an `CsdlActionImport` or null if nothing is found
      Specified by:
        `getActionImport` in interface `CsdlEdmProvider`
      Parameters:
        `entityContainer` - this ActionImport is contained in
        `actionImportName` - name of action import
      Returns:
        for the given container and ActionImport name
      Throws:
        `ODataException`

    - #### getFunctionImport

          public CsdlFunctionImport getFunctionImport(FullQualifiedName entityContainer,
                                                      String functionImportName)
                                               throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return a `CsdlFunctionImport` or null if nothing is found
      Specified by:
        `getFunctionImport` in interface `CsdlEdmProvider`
      Parameters:
        `entityContainer` - this FunctionImport is contained in
        `functionImportName` - name of function import
      Returns:
        for the given container name and function import name
      Throws:
        `ODataException`

    - #### getEntityContainerInfo

          public CsdlEntityContainerInfo getEntityContainerInfo(FullQualifiedName entityContainerName)
                                                         throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return an `CsdlEntityContainerInfo` or null if nothing is found
      Specified by:
        `getEntityContainerInfo` in interface `CsdlEdmProvider`
      Parameters:
        `entityContainerName` - (null for default container)
      Returns:
        for the given name
      Throws:
        `ODataException`

    - #### getAliasInfos

          public List<CsdlAliasInfo> getAliasInfos()
                                            throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return a list of all namespaces which have an alias
      Specified by:
        `getAliasInfos` in interface `CsdlEdmProvider`
      Returns:
        List of alias info
      Throws:
        `ODataException`

    - #### getSchemas

          public List<CsdlSchema> getSchemas()
                                      throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      This method should return a collection of all `CsdlSchema`
      Specified by:
        `getSchemas` in interface `CsdlEdmProvider`
      Returns:
        List of
      Throws:
        `ODataException`

    - #### getEntityContainer

          public CsdlEntityContainer getEntityContainer()
                                                 throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      Returns the entity container of this edm
      Specified by:
        `getEntityContainer` in interface `CsdlEdmProvider`
      Returns:
        of this edm
      Throws:
        `ODataException`

    - #### getAnnotationsGroup

          public CsdlAnnotations getAnnotationsGroup(FullQualifiedName targetName,
                                                     String qualifier)
                                              throws ODataException

      Description copied from interface: `CsdlEdmProvider`
      Gets annotations group.
      Specified by:
        `getAnnotationsGroup` in interface `CsdlEdmProvider`
      Parameters:
        `targetName` - full qualified name of target
        `qualifier` - for the given target. Might be null.
      Returns:
        group for the given Target
      Throws:
        `ODataException`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.